Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162540 - [patch] Proposed changes to {find-and-,}aot-compile
Summary: [patch] Proposed changes to {find-and-,}aot-compile
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 22:35 UTC by Robin Green
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 09:10:47 UTC


Attachments (Terms of Use)
patch (deleted)
2005-07-05 22:35 UTC, Robin Green
no flags Details | Diff

Description Robin Green 2005-07-05 22:35:40 UTC
This patch adds a bunch of (incompatible) changes to /usr/bin/aot-compile
(changes by Gary Benson) and to /usr/bin/find-and-aot-compile (changes by me).
It has been discussed previously on the fedora-java list and I've updated it
according to criticisms made.

Version-Release number of selected component (if applicable):
java-1.4.2-gcj-compat-1.4.2.0-40jpp_31rh

It makes the following changes:

aot-compile:
- Allow compiling multiple jars in a single call
- Swap order of options and jars, to be consistent with gcj and most other Linux
software
- Automatically generate destination .so names

find-and-aot-compile:
- Adds options --libdir and --skiptar (see usage in script)
- Moves generated .so file
- Registered generated .so files in a gcj-dbtool .db file (created by merging
individual .db files for each .jar/.so pair)

In summary, it makes AOT compilation simpler (because the gcj-dbtool stuff is
done automatically) and more efficient (because you can skip the .tar file
creation, which I don't really see the point of, to be honest).

Comment 1 Robin Green 2005-07-05 22:35:40 UTC
Created attachment 116389 [details]
patch

Comment 2 Thomas Fitzsimmons 2005-10-01 21:26:26 UTC
Gary, can you confirm that the current aot-compile-rpm incorporates all these
changes?  I'd like to close this one, if possible.


Comment 3 Gary Benson 2005-10-03 09:10:47 UTC
It either incorporates them or makes them unnecessary.


Note You need to log in before you can comment on or make changes to this bug.